Package com.emc.documentum.rest.dfc.util

# Class DfcSessions

java.lang.Object
com.emc.documentum.rest.dfc.util.DfcSessions

public final class DfcSessions extends Object
DFC session utility.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `release(com.documentum.fc.client.IDfSession session)`
  Release a DFC session safely.
  `static String`
  `toStringSession(com.documentum.fc.client.IDfSession session)`
  Print out the diagnostics information about the given DFC session.
  `static String`
  `toStringSessionManager(com.documentum.fc.client.IDfSessionManager sessionManager)`
  Print out the diagnostics information about the given DFC session manager.
  `static String`
  `toStringSessionManagerList(List<com.documentum.fc.client.IDfSessionManager> sessionManagerList)`
  Print out the diagnostics information about the given session manager list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### release

    public static void release(com.documentum.fc.client.IDfSession session)
    Release a DFC session safely. A context session will not be released.
    Parameters:
      `session` - the DFC session to be released
    See Also:
      - `ContextSessionManager`
      - `RepositorySession`

  - ### toStringSessionManager

    public static String toStringSessionManager(com.documentum.fc.client.IDfSessionManager sessionManager)
    Print out the diagnostics information about the given DFC session manager.
    Parameters:
      `sessionManager` - the session manager
    Returns:
      the diagnostics information of the session manager

  - ### toStringSession

    public static String toStringSession(com.documentum.fc.client.IDfSession session)
    Print out the diagnostics information about the given DFC session.
    Parameters:
      `session` - the DFC session
    Returns:
      the diagnostics information of the DFC session

  - ### toStringSessionManagerList

    public static String toStringSessionManagerList(List<com.documentum.fc.client.IDfSessionManager> sessionManagerList)
    Print out the diagnostics information about the given session manager list.
    Parameters:
      `sessionManagerList` - the list of session managers
    Returns:
      the diagnostics information of the session manager list